<!DOCTYPE html>
<html lang="en">

<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta http-equiv="X-UA-Compatible" content="ie=edge">
   <title>Document</title>
</head>

<body>
   <script>
      fetch('https://httpbin.org/ip')
         .then(function (response) {
            console.log('response.body =', response.body);
            console.log('response.bodyUsed =', response.bodyUsed);
            console.log('response.headers =', response.headers);
            console.log('response.ok =', response.ok);
            console.log('response.status =', response.status);
            console.log('response.statusText =', response.statusText);
            console.log('response.tyoe =', response.type);
            console.log('response.url =', response.url);
            return response.json();
         })
         .then(function (data) {
            console.log('data =', data);
         })
         .then(function (err) {
            console.log('err =', err);
         });
   </script>
</body>

</html>